WTOC(1)

NAME
wtoc - Convert a Wnn text-form dictionary (or dictionaries) into Canna text-form dictionaries

SYNOPSIS
wtoc [-f hinshidata] [wnnjisho] [cannajisho]

DESCRIPTION

wtoc converts a Wnn text-form dictionary file into Canna text-form dictionary file. If all dictionary files are omitted, the Wnn dictionary data is input through the standard input. In this case, the dictionary of the Japanes Input System is output from the standard output. If one dictionary file is specified, it will be regarded as a Wnn dictionary. At this time, Canna dictionary output to the standard output.

OPTIONS

-f hinshidata
    The user can add new information about word-type correspondence between Wnn and Canna. The following word-type correspondence information must be described in the hinshidata file. Within one line, describe the Wnn word type name and the Canna word type while delimiting by a space(s) or tab.

      Wnn word type       Canna word type
      Adverb              #F04

EXAMPLE
% wtoc -f tsuikahinshi kihon.u kihon.t

Inputs word-type correspondence information from tsuikahinshi, then converts Wnn text-form dictionary kihon.u into the Canna text-form dictionary before output.

% wtoc special.u | lpr

Converts Wnn text-form dictionary special.u into Canna text-form dictionary, then outputs the result to the line printer.

SEE ALSO

ctow(1)